Request
REQUIRED SCOPES
TARGET_ADD
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspaceExample: "my-company"
BODY PARAMETERS
typestring
The type of the targetValue: MYSQL
identifierrequiredstring
A human-readable ID. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end).hostrequiredstring
The hostname or IP address of the MySQL serverauthrequiredMysqlAuthView
MySQL authentication credentialsidstring
The ID of the targetnamestring
The name of the targetprojectShortProjectView
Short representation of a projectpipelineShortPipelineView
Short representation of a pipelineenvironmentShortEnvironmentView
Short representation of an environment objectpermissionsPermissionsView
Access permissions configurationpipelines_access_levelstring enum
Pipelines access level for this targetAllowed enum:
DENIED,READ_ONLY,USE_ONLY,BLIND,RUN_ONLY,READ_WRITE,MANAGE,DEFAULT,ALLOWED,STAGE,COMMITallowed_pipelinesAllowedPipelineView[]
List of specific pipelines allowed to use this targetsandboxes_access_levelstring enum
Sandboxes access level for this targetAllowed enum:
DENIED,READ_ONLY,USE_ONLY,BLIND,RUN_ONLY,READ_WRITE,MANAGE,DEFAULT,ALLOWED,STAGE,COMMITallowed_sandboxesAllowedSandboxView[]
List of specific sandboxes allowed to use this targetdisabledboolean
Indicates if this target is disabled (default: false)tagsstring[]
The list of tags associated with the targetConstraints: Unique items required
use_asUseAsView
Defines how the target can be used (as deployment target, proxy, or both)notestring
Note for this resourceagent_notestring
YAML note for AI agents operating on this resourceportstring
The port of the MySQL server. Default: 3306databasestring
The default database nameproxyTargetK8sProxyView
SSH proxy target for tunneling to private MSSQL serversResponse
RESPONSE BODY
typestring
The type of the targetValue: MYSQL
urlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksidstring
The ID of the targetidentifierrequiredstring
A human-readable ID. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end).namestring
The name of the targetprojectShortProjectView
Short representation of a projectpipelineShortPipelineView
Short representation of a pipelineenvironmentShortEnvironmentView
Short representation of an environment objectpermissionsPermissionsView
Access permissions configurationpipelines_access_levelstring enum
Pipelines access level for this targetAllowed enum:
DENIED,READ_ONLY,USE_ONLY,BLIND,RUN_ONLY,READ_WRITE,MANAGE,DEFAULT,ALLOWED,STAGE,COMMITallowed_pipelinesAllowedPipelineView[]
List of specific pipelines allowed to use this targetsandboxes_access_levelstring enum
Sandboxes access level for this targetAllowed enum:
DENIED,READ_ONLY,USE_ONLY,BLIND,RUN_ONLY,READ_WRITE,MANAGE,DEFAULT,ALLOWED,STAGE,COMMITallowed_sandboxesAllowedSandboxView[]
List of specific sandboxes allowed to use this targetdisabledboolean
Indicates if this target is disabled (default: false)tagsstring[]
The list of tags associated with the targetConstraints: Unique items required
use_asUseAsView
Defines how the target can be used (as deployment target, proxy, or both)notestring
Note for this resourceagent_notestring
YAML note for AI agents operating on this resourcehostrequiredstring
The hostname or IP address of the MySQL serverportstring
The port of the MySQL server. Default: 3306databasestring
The default database nameauthrequiredMysqlAuthView
MySQL authentication credentialsproxyTargetK8sProxyView
SSH proxy target for tunneling to private MSSQL serversLast modified on Aug 3, 2026
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/targets" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"type": "MYSQL",
"identifier": "production-db",
"name": "Production MySQL",
"host": "db.example.com",
"port": 3306,
"database": "myapp",
"auth": {
"method": "PASSWORD",
"username": "deploy_user",
"password": "secured"
},
"tags": [
"mysql",
"production"
]
}'STATUS201 Created